var socket = io.connect('http://utils.infinitemonkeys.mobi:3000');

socket.on('connect', function() {
	//Fires event listern in chat.js to open the chat window
	Ti.App.fireEvent('user_connected');

});

// To know the status
socket.on('reconnect', function() {
	message('System', 'Reconnected to the server');
});
socket.on('reconnecting', function() {
	message('System', 'Attempting to re-connect to the server');
});
socket.on('error', function(e) {
	message('System', e ? e : 'A unknown error occurred');
});

// get the broadcat message
socket.on('broadcast_to_user', function(e) {
	// message('System', 'broadcast_to_user:on   ');
	Ti.API.info('fired -> broadcast_to_user GOT ' + JSON.stringify(e));
	Ti.App.fireEvent('set_broadcast_message', {
		data : e
	});
});

/*
 * Event Listeners
 */
$(function() {

	Ti.App.addEventListener('create_node_room', function(e) {
		Ti.API.info('fired -> create_node_room appId' + e.app_id);
		socket.emit("create_node_room", {
			appId : e.app_id,
			deviceId : e.device_id
		});
	});

	Ti.App.addEventListener('broadcast_to_user', function(e) {
		Ti.API.info('fired -> broadcast_to_user details:- ' + JSON.stringify(e));

		// Ti.API.info('tokenEncoded  ' + tokenEncoded);
		socket.emit("broadcast_to_user", JSON.stringify({
			appId : e.app_id,
			deviceId : e.from_id,
			userName : e.user_name,
			msg : e.message
		}));
	});

});
